Package org.drinkless.tdlib

# Class TdApi.ToggleChatIsPinned

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ToggleChatIsPinned

Enclosing class:
  `TdApi`

public static class TdApi.ToggleChatIsPinned extends TdApi.Function<TdApi.Ok>
Changes the pinned state of a chat. There can be up to getOption("pinned_chat_count_max")/getOption("pinned_archived_chat_count_max") pinned non-secret chats and the same number of secret chats in the main/archive chat list. The limit can be increased with Telegram Premium.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `TdApi.ChatList`
  `chatList`
  Chat list in which to change the pinned state of the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isPinned`
  Pass true to pin the chat; pass false to unpin it.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToggleChatIsPinned()`
  Default constructor for a function, which changes the pinned state of a chat.
  `ToggleChatIsPinned(TdApi.ChatList chatList, long chatId, boolean isPinned)`
  Creates a function, which changes the pinned state of a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatList

    public TdApi.ChatList chatList
    Chat list in which to change the pinned state of the chat.

  - ### chatId

    public long chatId
    Chat identifier.

  - ### isPinned

    public boolean isPinned
    Pass true to pin the chat; pass false to unpin it.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ToggleChatIsPinned

    public ToggleChatIsPinned()
    Default constructor for a function, which changes the pinned state of a chat. There can be up to getOption("pinned_chat_count_max")/getOption("pinned_archived_chat_count_max") pinned non-secret chats and the same number of secret chats in the main/archive chat list. The limit can be increased with Telegram Premium.

    Returns `Ok`

  - ### ToggleChatIsPinned

    public ToggleChatIsPinned(TdApi.ChatList chatList, long chatId, boolean isPinned)
    Creates a function, which changes the pinned state of a chat. There can be up to getOption("pinned_chat_count_max")/getOption("pinned_archived_chat_count_max") pinned non-secret chats and the same number of secret chats in the main/archive chat list. The limit can be increased with Telegram Premium.

    Returns `Ok`

    Parameters:
      `chatList` - Chat list in which to change the pinned state of the chat.
      `chatId` - Chat identifier.
      `isPinned` - Pass true to pin the chat; pass false to unpin it.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR